gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Widget canvas item

A canvas item for placing arbitrary objects onto a canvas.

Gnome.CanvasItem GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasWidget, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new Widget container
  The that this item belongs to.
  the newly-created object
- Property
  System.Double Width of widget (units specified by property). the width of the widget the width of the widget
- Property
  System.Double Height of widget (units specified by property). the height of the widget the height of the widget
- Property
  Gtk.AnchorType Anchor position for widget. the anchor's position anchor position for the widget
- Property
  Gtk.Widget The embedded widget The embedded widget the embedded widget
- Property
  System.Boolean Whether the widget size is specified in pixels or canvas units. to use pixels unit, to use canvas units whether the widget size is specified in pixels or canvas units.
- Property
  System.Double Y coordinate of anchor point. Y coordinate of anchor point. Y coordinate of anchor point.
- Property
  System.Double X coordinate of anchor point. X coordinate of anchor point. X coordinate of anchor point.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added